# std::timed_mutex::timed_mutex

From cppreference.com
< cpp‎ | thread‎ | timed mutex

timed_mutex(); | (1) | (since C++11)
timed_mutex( const timed_mutex& ) = delete; | (2) | (since C++11)

1) Constructs the mutex. The mutex is in unlocked state after the call.
2) Copy constructor is deleted.

### Parameters

(none)

### Exceptions

std::system_error if the construction is unsuccessful.

### See also

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/thread/timed_mutex/timed_mutex&oldid=51450"